Loading...
Searching...
No Matches
Dune::TopologySingletonFactory< Factory > Struct Template Reference

A wrapper for a TopologyFactory providing singleton storage. Same usage as TopologyFactory but with empty release method an internal storage. More...

`#include <dune/geometry/topologyfactory.hh>`

## Public Types

typedef Factory::Key | Key
typedef const Factory::Object | Object

## Static Public Member Functions

static Object * | create (const Dune::GeometryType &gt, const Key &key)
template<GeometryType::Id geometryId>
static auto | create (const Key &key) -> std::enable_if_t< static_cast< GeometryType >(geometryId).dim()==dimension, Object * >
template<class Topology>
static auto | create (const Key &key) -> std::enable_if_t< Topology::dimension==dimension, Object * >
static void | release (Object *object)
| release the object returned by the create methods

## Static Public Attributes

static const unsigned int | dimension = Factory::dimension

## Detailed Description

template<class Factory>
struct Dune::TopologySingletonFactory< Factory >

A wrapper for a TopologyFactory providing singleton storage. Same usage as TopologyFactory but with empty release method an internal storage.

## Member Typedef Documentation

## Key

template<class Factory>

typedef Factory::Key Dune::TopologySingletonFactory< Factory >::Key

## Object

template<class Factory>

typedef const Factory::Object Dune::TopologySingletonFactory< Factory >::Object

## Member Function Documentation

## create() [1/3]

template<class Factory>

Object * Dune::TopologySingletonFactory< Factory >::create | ( | const Dune::GeometryType & | gt,
|  | const Key & | key )

inline static

## create() [2/3]

template<class Factory>
template<GeometryType::Id geometryId>

auto Dune::TopologySingletonFactory< Factory >::create | ( | const Key & | key | ) | ->std::enable_if_t< static_cast< GeometryType >(geometryId).dim()==dimension, Object * >

inline static

## create() [3/3]

template<class Factory>
template<class Topology>

auto Dune::TopologySingletonFactory< Factory >::create | ( | const Key & | key | ) | ->std::enable_if_t< Topology::dimension==dimension, Object * >

inline static

## release()

template<class Factory>

void Dune::TopologySingletonFactory< Factory >::release | ( | Object * | object | ) |

inline static

release the object returned by the create methods

## Member Data Documentation

## dimension

template<class Factory>

const unsigned int Dune::TopologySingletonFactory< Factory >::dimension = Factory::dimension

static

The documentation for this struct was generated from the following file:

- topologyfactory.hh